package request


type AlibabaWdkItemMemberpriceUpdateRequest struct {
    /*
        门店ID     */
    StoreId  *string `json:"store_id" required:"true" `
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code" required:"true" `
    /*
        售价，单位分，售价会员价至少填一个     */
    SkuPrice  *int64 `json:"sku_price,omitempty" required:"false" `
    /*
        会员价，单位分     */
    SkuMemberPrice  *int64 `json:"sku_member_price,omitempty" required:"false" `
    /*
        是否清空会员价     */
    CleanSkuMemberPrice  *bool `json:"clean_sku_member_price,omitempty" required:"false" `
    /*
        时间戳     */
    TimeStamp  *int64 `json:"time_stamp,omitempty" required:"false" `
}

func (s *AlibabaWdkItemMemberpriceUpdateRequest) SetStoreId(v string) *AlibabaWdkItemMemberpriceUpdateRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkItemMemberpriceUpdateRequest) SetSkuCode(v string) *AlibabaWdkItemMemberpriceUpdateRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemMemberpriceUpdateRequest) SetSkuPrice(v int64) *AlibabaWdkItemMemberpriceUpdateRequest {
    s.SkuPrice = &v
    return s
}
func (s *AlibabaWdkItemMemberpriceUpdateRequest) SetSkuMemberPrice(v int64) *AlibabaWdkItemMemberpriceUpdateRequest {
    s.SkuMemberPrice = &v
    return s
}
func (s *AlibabaWdkItemMemberpriceUpdateRequest) SetCleanSkuMemberPrice(v bool) *AlibabaWdkItemMemberpriceUpdateRequest {
    s.CleanSkuMemberPrice = &v
    return s
}
func (s *AlibabaWdkItemMemberpriceUpdateRequest) SetTimeStamp(v int64) *AlibabaWdkItemMemberpriceUpdateRequest {
    s.TimeStamp = &v
    return s
}

func (req *AlibabaWdkItemMemberpriceUpdateRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.SkuPrice != nil) {
        paramMap["sku_price"] = *req.SkuPrice
    }
    if(req.SkuMemberPrice != nil) {
        paramMap["sku_member_price"] = *req.SkuMemberPrice
    }
    if(req.CleanSkuMemberPrice != nil) {
        paramMap["clean_sku_member_price"] = *req.CleanSkuMemberPrice
    }
    if(req.TimeStamp != nil) {
        paramMap["time_stamp"] = *req.TimeStamp
    }
    return paramMap
}

func (req *AlibabaWdkItemMemberpriceUpdateRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}